### Virtual Method

# Foundry Config change_sdk

since: 1.1

#### Declaration [src]

    DexFuture*
    change_sdk (
      FoundryConfig* self,
      FoundrySdk* sdk
    )

#### Description [src]

Change the SDK for the config and write the config to disk.

Available since: 1.1

#### Parameters

`sdk`

  Type: `FoundrySdk`

  A `FoundrySdk`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.